Bug 86438 - Mnemonic handling issue
Mnemonic handling issue
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: UI
6.x
All All
: P3 (vote)
: 7.1
Assigned To: Jaromir Uhrik
issues@ide
issue_reviewed
: UMBRELLA
Depends on: 86183 86189 86475 109593 109755 109756 86143 86144 86146 86151 86157 86158 86159 86160 86164 86165 86166 86168 86171 86173 86181 86182 86184 86185 86186 86188 86190 86191 86192 86194 86195 86196 86198 86199 86200 86202 86205 86206 86321 86323 86324 86325 86327 86462 86476 86484 86490 86493 86498 86547 109749 109750 109751 109753 109754 109849
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-04 09:44 UTC by Jaromir Uhrik
Modified: 2011-10-14 08:14 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2006-10-04 09:44:42 UTC
This issue is an umbrella for the category of issues related to the mnemonics
handling as described in issue #67807. Calling of method setMnemonic() and
setDisplayedMnemonic() must be substituted by methods of class
org.openide.awt.Mnemonics.
Comment 1 _ rkubacki 2006-12-15 16:01:50 UTC
Simple way how to find one char keys in bundles:

find <path> -name "*.properties" | xargs egrep -i '.*=.$'
Comment 2 Petr Jiricka 2007-08-06 13:33:37 UTC
Marek Fukala pointed out to me that the following FAQ (last question on the page): http://a11y.netbeans.org/a11yFAQ.html
is outdated and incorrect. It should be updated to reflect the current recommendations. Also, there should be a HOWTO
for correcting mnemonics handling with Matisse - people I talked to did not have luck using Matisse for correcting the
mnemonics.
Comment 3 Marian Mirilovic 2007-08-07 09:33:59 UTC
Agreed with Petr...

Jara, 
could you please update http://a11y.netbeans.org/a11yFAQ.html ? Also how-to for using Matisse for this change would be
very helpful.
Comment 4 Petr Jiricka 2007-08-07 09:46:24 UTC
And here is also a helpful link to Adam's converter:
http://wiki.netbeans.org/wiki/view/MnemonicConverter
Comment 5 Peter Pis 2007-08-24 20:14:10 UTC
IMHO the better component for tracking this issue would be "a11y" or "UI" because the primary purpose of the "ide"
component is for incoming issues that are expected to be processed and reassigned to the proper component. 
Comment 6 Jaromir Uhrik 2007-09-10 09:57:28 UTC
1/I have reassigned this issue to myself in order to avoid problems with processing of ide issues.
2/I have updated the document http://a11y.netbeans.org/a11yFAQ.html a couple of weeks ago so that the task of Marian is
no more pending
Comment 7 Marian Mirilovic 2011-10-14 08:14:03 UTC
Too old - closing


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo